### Method

# FwupdPlugin Device bind_driver

#### Declaration [src]

    gboolean
    fu_device_bind_driver (
      FuDevice* self,
      const gchar* subsystem,
      const gchar* driver,
      GError** error
    )

#### Description [src]

Binds a driver to the device, which normally means the kernel driver takes control of the hardware.

Available since: | 1.5.0

#### Parameters

`subsystem` | `const gchar*`
| A subsystem string, e.g. `pci`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`driver` | `const gchar*`
| A kernel module name, e.g. `tg3`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if driver was bound.